CS_PREPROCESS(1)

NAME
cs_preprocess - Code_Saturne preprocessor

SYNOPSIS
cs_preprocess -m <file> [-sc] [options]

DESCRIPTION
Code_Saturne preprocessor reads meshes from several formats. It enables non-conforming joining and periodicity handling, as well as some postprocessing for mesh checking.

OPTIONS

-m, --mesh <file>
    Preprocessor input mesh file (mesh file format determined automatically by filename extension or forced by -format sub-option)

-sc, --sim-comm
    simulate messages without file output

General options

--cwd <directory>
    working directory (if different from current directory)

-h, --help
    Print a usage message and exit.

-i, --in [<file>]
    Command line completed by a file (default file: standard input)

--int-face [<sub-options>]
    Count and display interior faces these faces may be selected with face-selection sub-options

-j, --join [<sub-options>]
    Join non-conforming faces; select faces to join with face-selection sub-options

--log [<file>]
    Redirect terminal output to a file (default file: preprocessor.log)

-p, --perio <sub-options>
    Mesh periodicity defined by argument; joining sub-options for tolerances and selection of periodic faces with face-selection sub-options

--reorient
    If necessary, correct orientation of cells and faces

--version
    Print version number

Postprocessing options

--case <name>
    Case name (without this option, the default name is: preprocess)

--cgns [<sub-options>]
    CGNS geometry output

--ensight [<sub-options>]
    EnSight Gold geometry output

--med [<sub-options>]
    MED 2.3 geometry output

Mesh selection sub-options (-m, --mesh)

--format <keyword>
    Selection of mesh file format

--num <n>
    Selection of mesh number in file (if the format allows it)

--grp-cel <keyword>
    Add groups of cells (based on format features/conventions)
      * based on sections: keyword "section"
      * based on zones: keyword "zone"

--grp-fac <keyword>
    Add groups of faces (based on format features/conventions)
      * based on sections: keyword "section"
      * based on zones: keyword "zone"

Available mesh formats (-m, --mesh; --format)
                        Extension Keyword
   CGNS .cgns cgns
   pro-STAR/STAR4 .ngeom ngeom
   EnSight (6 or Gold) .case ensight
   GAMBIT Neutral .neu gambit
   GMSH .msh gmsh
   NUMECA Hex .hex hex
   I-deas universal .unv unv
   MED .med med
   Simail (NOPO) .des des
   Meta-mesh file .mesh meta

Postprocessing selection sub-options (--cgns, --ensight, --med)

--discard-poly
    discard polygonal faces (wth more than 4 edges) or polyhedra

--simple
    force mesh output on a single part (EnSight) or section (CGNS)

--text
    force text output (EnSight)

--big-endian
    force binary output to big-endian (EnSight)

--color-to-group
    transform colors to groups (MED)

--volume
    activate output of volume mesh (by default if -boundary or -info not given)

--boundary
    activate output of boundary mesh (by default if -volume or -info not given)

--info
    activate output of information meshes (by default if -volume or -boundary not given)

Periodicity sub-options (-perio, -periodic)

--trans <tx ty tz>
    translation vector

--rota --angle <alpha> --dir <dx dy dz> [--invpt <px py pz>]
    rotation defined by an angle (in degrees) and a direction vector, and eventually by an invariant point (origin by default)

--rota --matrix <mij> [--invpt <px py pz>]
    rotation defined by the rotation matrix (given line by line), and eventually by an invariant point (origin by default)

Non-conformal face joining sub-options (-j, --join, -p, --perio)

--fraction <real number>
    fraction of the length of the smallest edge under which we consider that vertices may be fused (default value: 0.1)

--plane <real number>
    minimal cosine of the normals of 2 coplanar faces (default value: 0.8)

--semi-conf
    fast joining algorithm (allowed if faces already share vertices)

Face selection sub-options (for joining, selection, and periodicity)

--color <number(s)>
    color numbers of faces to select

--group <name(s)>
    group names of faces to select

--invsel
    invert selection

ENVIRONMENT

CS_PREPROCESS_MIN_EDGE_LEN
    Length under which an edge is considered degenerate (default: 1.e-15).

CS_PREPROCESS_MEM_LOG
    Name of memory operations trace file.

CS_PREPROCESS_IGNORE_IDEAS_COO_SYS
    Ignore I-deas coordinate systems.

CS_PREPROCESS_JOIN_MAX_SUB_FACES
    Number of new faces of an initial face above which we consider that conformal joining face reconstruction has gone into an infinite loop (default: 100)

SEE ALSO
cs_io_dump(1), cs_partition(1)